ch.dieseite.colladaloader.coreproc

## Class ObjectLinker.CTXInfo

- java.lang.Object
- - ch.dieseite.colladaloader.coreproc.ObjectLinker.CTXInfo

- Enclosing class:
    ObjectLinker

      public class ObjectLinker.CTXInfo
      extends java.lang.Object

  Wrapps all infos needed to build the internal database This fields is set BEFORE object linker does his work
  Author:
    mrcoffee

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `idExpression` says where ID info inside xml tag can be found
    `java.lang.String` | `nextIdExpression` says where foreign key info inside xml tag can be found
    `java.lang.String` | `nextPool` says in which memory pool (table) is foreign key located
    `java.lang.String` | `thisPool` says in which memory pool is record located
    `java.lang.String` | `xmlSearchPattern` says how to fetch collada tags i.e.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CTXInfo(SimpleDomParser.Element subtag, java.lang.String thisPool)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### idExpression

          public java.lang.String idExpression

      says where ID info inside xml tag can be found

    - #### nextIdExpression

          public java.lang.String nextIdExpression

      says where foreign key info inside xml tag can be found

    - #### nextPool

          public java.lang.String nextPool

      says in which memory pool (table) is foreign key located

    - #### thisPool

          public java.lang.String thisPool

      says in which memory pool is record located

    - #### xmlSearchPattern

          public java.lang.String xmlSearchPattern

      says how to fetch collada tags i.e. "rootDoc/tags/tag/subtag" or "rootDoc/tags/tag/subtag#attribName=value"

  - ### Constructor Detail

    - #### CTXInfo

          CTXInfo(SimpleDomParser.Element subtag,
                  java.lang.String thisPool)